<?php

namespace App\Http\Controllers;

use Illuminate\Database\QueryException;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Log;
use Illuminate\Support\Str;

class DealController extends Controller
{
    private $dealDataStore;
    public function index()
    {
        $currentSession = (new LoginController())->getLoginSession();
        if ($currentSession) {
            return $currentSession;
        } else {
            $deal_data = DB::select('SELECT * FROM deal_view ORDER BY deal_id DESC');

            $currentUsername = session()->get('username');
            $logData = array('Deal view', "viewer" => $currentUsername);
            Log::channel('sales_pipeline_log')->info(json_encode($logData));

            return view("deal", compact('deal_data'));
        }
    }

    public function prepareData(Request $request)
    {

        $currentSession = (new LoginController())->getLoginSession();
        if ($currentSession) {
            return $currentSession;
        } else {

            $dataStore = 0;
            $deal_id = "";
            $url = $currenturl = url()->full();
            $currentRowData = null;
            $ealDataStore = null;
            $btnStatus = '';
            if (Str::contains($url, 'add')) {
                $btnStatus = 'add';
            }
            if (Str::contains($url, 'update')) {
                $btnStatus = 'update';
                $jsonData = '[' . $request->currentRowData . ']';
                $data = json_decode($jsonData, true);
                $currentRowData = $data[0];
                $dataStore =
                    '[{"tblcompany_id":' . '"' . $currentRowData['tblcompany_id'] . '",' .
                    '"tblcontact_id":' . '"' . $currentRowData['tblcontact_id'] . '",' .
                    '"tbldealtype_id":' . '"' . $currentRowData['tbldealtype_id'] . '",' .
                    '"tblsource_id":' . '"' . $currentRowData['tblsource_id'] . '",' .
                    '"tbluser_id":' . '"' . $currentRowData['tbluser_id'] . '"}]';
                $deal_id = $currentRowData['deal_id'];

            }
            // return $currentRowData;
            session(['currentRowData' => $request->currentRowData]);
            session(['deal_id' => $deal_id]);
            session(['_token' => $request->_token]);
            session(['deal_table_length' => $request->deal_table_length]);

            $company_data = DB::select('SELECT id, name,company_type,industry_name FROM company_view');
            $contact_data = DB::select('SELECT id, CONCAT(name," ", surname) as contact_fullname,status,tblcompany_id  FROM tblcontact');
            $deal_type_data = DB::select('SELECT * FROM tbldealtype');
            $source_data = DB::select('SELECT * FROM tblsource');
            $user_data = DB::select('SELECT id, CONCAT( name," ", surname) AS user_fullname, referenceId, status FROM tbluser');
            $deal_activity_data = DB::select('SELECT*FROM deal_activity_view WHERE tbldeal_id=? ORDER BY id DESC', [$deal_id]);

            $currentUsername = session()->get('username');
            $logData = array('Deal edition view',
                "preparing_deal_data" => $currentRowData,
                "editor" => $currentUsername);
            Log::channel('sales_pipeline_log')->info(json_encode($logData));

            return view('deal-edition',
                compact(
                    'btnStatus',
                    'currentRowData',
                    'dataStore',
                    'company_data',
                    'contact_data',
                    'deal_type_data',
                    'source_data',
                    'user_data',
                    'deal_activity_data'));

        }

    }

    public function prepareData1(Request $request)
    {

        $currentSession = (new LoginController())->getLoginSession();
        if ($currentSession) {
            return $currentSession;
        } else {

            $dataStore = 0;
            $deal_id = "";
            $url = $currenturl = url()->full();
            $currentRowData = null;
            $ealDataStore = null;
            $btnStatus = '';
            $currentRowData0 = session()->get('currentRowData');

            if (Str::contains($url, 'add')) {
                $btnStatus = 'add';
            }
            if (Str::contains($url, 'update')) {
                $btnStatus = 'update';
                $jsonData = '[' . $currentRowData0 . ']';
                $data = json_decode($jsonData, true);
                $currentRowData = $data[0];
                $dataStore =
                    '[{"tblcompany_id":' . '"' . $currentRowData['tblcompany_id'] . '",' .
                    '"tblcontact_id":' . '"' . $currentRowData['tblcontact_id'] . '",' .
                    '"tbldealtype_id":' . '"' . $currentRowData['tbldealtype_id'] . '",' .
                    '"tblsource_id":' . '"' . $currentRowData['tblsource_id'] . '",' .
                    '"tbluser_id":' . '"' . $currentRowData['tbluser_id'] . '"}]';
                $deal_id = $currentRowData['deal_id'];

            }

            session(['currentRowData' => $currentRowData0]);
            session(['deal_id' => $deal_id]);
            session(['_token' => $request->_token]);
            session(['deal_table_length' => $request->deal_table_length]);

            $company_data = DB::select('SELECT id, name,company_type,industry_name FROM company_view');
            $contact_data = DB::select('SELECT id, CONCAT(name," ", surname) as contact_fullname,status,tblcompany_id  FROM tblcontact');
            $deal_type_data = DB::select('SELECT * FROM tbldealtype');
            $source_data = DB::select('SELECT * FROM tblsource');
            $user_data = DB::select('SELECT id, CONCAT( name," ", surname) AS user_fullname, referenceId, status FROM tbluser');
            $deal_activity_data = DB::select('SELECT*FROM deal_activity_view WHERE tbldeal_id=? ORDER BY id DESC', [$deal_id]);

            $currentUsername = session()->get('username');
            $logData = array('Deal edition view',
                "preparing_deal_data" => $currentRowData,
                "editor" => $currentUsername);
            Log::channel('sales_pipeline_log')->info(json_encode($logData));

            return view('deal-edition',
                compact(
                    'btnStatus',
                    'currentRowData',
                    'dataStore',
                    'company_data',
                    'contact_data',
                    'deal_type_data',
                    'source_data',
                    'user_data',
                    'deal_activity_data'));

        }

    }

    public function insertData(Request $request)
    {
        $currentSession = (new LoginController())->getLoginSession();
        if ($currentSession) {
            return $currentSession;
        } else {
            try {
                $deal_name = $request->input('deal_name');
                $dealstatus = $request->input('dealstatus');
                $dealval = $request->input('dealval');
                $tblcompany_id = $request->input('tblcompany_id');
                $tblcontact_id = $request->input('tblcontact_id');
                $deal_status = $request->input('deal_status');
                $tbldealtype_id = $request->input('tbldealtype_id');
                $tblsource_id = $request->input('tblsource_id');
                $detail = $request->input('detail');
                $tbluser_id = $request->input('tbluser_id');

                $insertion = DB::select('INSERT INTO tbldeal( name, dealstatus, dealval,
             tblcompany_id, tblcontact_id, status, tbldealtype_id, tblsource_id, detail, tbluser_id)
            VALUES (?,?,?,?,?,?,?,?,?,?)',
                    [$deal_name,
                        $dealstatus,
                        str_replace(',', '', $dealval),
                        $tblcompany_id,
                        $tblcontact_id,
                        $deal_status,
                        $tbldealtype_id,
                        $tblsource_id,
                        $detail,
                        $tbluser_id,
                    ]);
                session()->flash('toastr', [
                    'type' => 'success',
                    'message' => 'Data inserted successfully.',
                ]);

                $currentUsername = session()->get('username');
                $logData = array('Data inserted successfully.',
                    "added_deal_data" => array(
                        'deal_name' => $deal_name,
                        'dealval' => str_replace(',', '', $dealval),
                        'tblcompany_id' => $tblcompany_id,
                        'tblcontact_id' => $tblcontact_id,
                        'deal_status' => $deal_status,
                        'tbldealtype_id' => $tbldealtype_id,
                        'tblsource_id' => $tblsource_id,
                        'detail' => $detail,
                        'tbluser_id' => $tbluser_id,
                    ),
                    "editor" => $currentUsername);
                Log::channel('sales_pipeline_log')->info(json_encode($logData));

                return redirect()->route('deal');

            } catch (QueryException $exception) {

                if ($exception->getCode() === "23000") {
                    session()->flash('toastr', [
                        'type' => 'error',
                        'message' => 'Data insertion failed! This set of deal data contains duplicates.',
                    ]);

                    $currentUsername = session()->get('username');
                    $logData = array('Data insertion failed! This set of deal data contains duplicates.', "editor" => $currentUsername);
                    Log::channel('sales_pipeline_log')->info(json_encode($logData));

                    return redirect()->route('deal');

                }
            }
        }
    }
    public function updateData(Request $request)
    {
        $currentSession = (new LoginController())->getLoginSession();
        if ($currentSession) {
            return $currentSession;
        } else {
            try {

                $dataStore = $request->input('dataStore');
                $data = json_decode($dataStore, true);

                $deal_id = $request->currentID;
                $deal_name = $request->input('deal_name');
                $dealstatus = $request->input('dealstatus');
                $dealval = $request->input('dealval');
                $tblcompany_id = $request->input('tblcompany_id') == null ? $data[0]['tblcompany_id'] : $request->input('tblcompany_id');
                $tblcontact_id = $request->input('tblcontact_id') == null ? $data[0]['tblcontact_id'] : $request->input('tblcontact_id');
                $deal_status = $request->input('deal_status');
                $tbldealtype_id = $request->input('tbldealtype_id') == null ? $data[0]['tbldealtype_id'] : $request->input('tbldealtype_id');
                $tblsource_id = $request->input('tblsource_id') == null ? $data[0]['tblsource_id'] : $request->input('tblsource_id');
                $detail = $request->input('detail');
                $tbluser_id = $request->input('tbluser_id') == null ? $data[0]['tbluser_id'] : $request->input('tbluser_id');

                $updation = DB::select('UPDATE tbldeal SET
            name=?,
            dealstatus=?,
            dealval=?,
            tblcompany_id=?,
            tblcontact_id=?,
            status=?,
            tbldealtype_id=?,
            tblsource_id=?,
            detail=?,
            tbluser_id=?
            WHERE id=?',
                    [
                        $deal_name,
                        $dealstatus,
                        str_replace(',', '', $dealval),
                        $tblcompany_id,
                        $tblcontact_id,
                        $deal_status,
                        $tbldealtype_id,
                        $tblsource_id,
                        $detail,
                        $tbluser_id,
                        $deal_id,
                    ]);
                session()->flash('toastr', [
                    'type' => 'success',
                    'message' => 'Data has been updated.',
                ]);

                $currentUsername = session()->get('username');
                $logData = array('Data has been updated.',
                    "added_deal_data" => array(
                        'deal_name' => $deal_name,
                        'dealstatus' => $dealstatus,
                        'dealval' => str_replace(',', '', $dealval),
                        'tblcompany_id' => $tblcompany_id,
                        'tblcontact_id' => $tblcontact_id,
                        'deal_status' => $deal_status,
                        'tbldealtype_id' => $tbldealtype_id,
                        'tblsource_id' => $tblsource_id,
                        'detail' => $detail,
                        'tbluser_id' => $tbluser_id,
                        'deal_id' => $deal_id,
                    ),
                    "editor" => $currentUsername);
                Log::channel('sales_pipeline_log')->info(json_encode($logData));

                return redirect()->route('deal');

                // return [
                //     $deal_id,
                //     $deal_name,
                //     $dealstatus,
                //     $dealval,
                //     $tblcompany_id,
                //     $tblcontact_id,
                //     $deal_status,
                //     $tbldealtype_id,
                //     $tblsource_id,
                //     $detail,
                //     $tbluser_id];

            } catch (QueryException $exception) {

                if ($exception->getCode() === "23000") {
                    session()->flash('toastr', [
                        'type' => 'error',
                        'message' => 'Data updation failed! This set of deal data contains duplicates.',
                    ]);

                    $currentUsername = session()->get('username');
                    $logData = array('Data updation failed! This set of deal data contains duplicates.', "editor" => $currentUsername);
                    Log::channel('sales_pipeline_log')->info(json_encode($logData));

                    return redirect()->route('deal');

                }
            }

        }
    }
}
