<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Log;

class RegistrationController extends Controller
{
    public function index()
    {

        $clientIP = request()->ip();
        $logData = array(
            'Registration view view',
            "reset_by_ip" => $clientIP);
        Log::channel('sales_pipeline_log')->info(json_encode($logData));

        return view('register');

    }

    public function submitRegistrationData(Request $request)
    {
        $registerUsername = $request->input('registerUsername');
        $user = (new UserController())->insertWithManualUser($request);

        if ($user === "fullname_user_unique") {
            session()->flash('toastr', [
                'type' => 'error',
                'message' => 'Data insertion failed! The name and surname contain duplicates.',
            ]);

            $clientIP = request()->ip();
            $logData = array('Registration view', "IP" => $clientIP, 'error' => 'Data insertion failed! The name and surname contain duplicates.');
            Log::channel('sales_pipeline_log')->info(json_encode($logData));

            return redirect()->route('register');
        } else if ($user === "username_unique") {
            session()->flash('toastr', [
                'type' => 'error',
                'message' => 'Data insertion failed! ' . $registerUsername . ' has already been found.',
            ]);

            $clientIP = request()->ip();
            $logData = array('Registration view', "IP" => $clientIP, 'error' => 'Data insertion failed! ' . $registerUsername . ' has already been found.');
            Log::channel('sales_pipeline_log')->info(json_encode($logData));

            return redirect()->route('register');
        } else {

            $clientIP = request()->ip();
            $logData = array('Successful result view', "IP" => $clientIP);
            Log::channel('sales_pipeline_log')->info(json_encode($logData));

            return redirect()->route('successful-result', ['type' => 1]);
        }

    }

}
