@extends('main-page')
@section('content')

    <div class="height-100">

        <div id="data-form" class="container mt-5 my-form">

            {{-- To update data --}}
            @if ($btnStatus == 'update')

                <form action="{{ route('company-data-updation', [$currentRowData['com_id']]) }}" method="POST"
                    name="updateData" id="updateData">
                    @csrf

                    <input type="hidden" name="dataStore" id="dataStore" value="{{ $dataStore }}">

                    <div class="form-group">
                        <label class="label-text" required class="label-text-name" for="company_name">Company name</label>
                        <input type="text" class="form-control input-form" name="company_name" id="company_name"
                            placeholder="Enter company name" maxlength="45" required
                            value="{{ $currentRowData['com_name'] }}">
                    </div>

                    <div class="form-group">
                        <label class="label-text" required for="tblcompanytype_id">Company type</label>
                        <br>
                        <select name="tblcompanytype_id" id="tblcompanytype_id" required>
                            <option value="Select" disabled>Please select</option>
                            @if ($company_type_data != null)
                                @foreach ($company_type_data as $row)
                                    @if ($row->status == 'Active')
                                        <option value={{ $row->id }} @disabled(false)>{{ $row->name }}
                                        </option>
                                    @else
                                        <option value={{ $row->id }} @disabled(true)>{{ $row->name }}
                                        </option>
                                    @endif
                                @endforeach
                            @endif
                        </select>
                    </div>

                    <div class="form-group">
                        <label class="label-text" required for="tblindustry_id">Industry</label>
                        <br>
                        <select name="tblindustry_id" id="tblindustry_id" required>
                            <option value="Select" disabled> Please select</option>
                            @if ($industry_data != null)
                                @foreach ($industry_data as $row)
                                    @if ($row->status == 'Active')
                                        <option value={{ $row->id }} @disabled(false)>{{ $row->name }}
                                        </option>
                                    @else
                                        <option value={{ $row->id }} @disabled(true)>{{ $row->name }}
                                        </option>
                                    @endif
                                @endforeach
                            @endif
                        </select>
                    </div>

                    <div class="form-group">
                        <label class="label-text" required for="email">Email</label>
                        <input type="email" class="form-control input-form" name="email" id="email"
                            placeholder="Enter email" value="{{ $currentRowData['email'] }}" maxlength="45" required>
                    </div>

                    <div class="form-group">
                        <label class="label-text" required for="website">Website </label>
                        <input type="text" class="form-control input-form" name="website" id="website"
                            placeholder="Enter website" value="{{ $currentRowData['website'] }}" maxlength="45" required>
                    </div>

                    <div class="form-group">
                        <label class="label-text" required for="address">Address</label>
                        <textarea cols="30" rows="5" class="form-control input-form" name="address" id="address"
                            placeholder="Enter address" required>{{ $currentRowData['address'] }}</textarea>
                    </div>

                    <script>
                        document.getElementById("tblcompanytype_id").value = @json($currentRowData['tblcompanytype_id']);
                        document.getElementById("tblindustry_id").value = @json($currentRowData['tblindustry_id']);
                    </script>

                    <div class="button-group">
                        <button type="submit" class="button-s4" style="width: 80px" id="btn-save"
                            onclick="btnSaveClicked()">Save</button>
                        <button class="button-s5" style="width: 80px" type="button"
                            onclick="location.href='{{ route('company') }}'">CLOSE</button>
                    </div>

                </form>

            @endif

            {{-- To add data --}}
            @if ($btnStatus == 'add')

                <form action="{{ route('company-data-insertion') }}" method="POST" name="addData" id="addData">
                    @csrf

                    <div class="form-group">
                        <label class="label-text" required for="company_name">Company name</label>
                        <input type="text" class="form-control input-form" name="company_name" id="company_name"
                            placeholder="Enter company name" maxlength="45" required>
                    </div>

                    <div class="form-group">
                        <label class="label-text" required for="tblcompanytype_id">Company type</label>
                        <br>
                        <select name="tblcompanytype_id" id="tblcompanytype_id" required>
                            <option value="Select" disabled selected>Please select</option>
                            @if ($company_type_data != null)
                                @foreach ($company_type_data as $row)
                                    @if ($row->status == 'Active')
                                        <option value={{ $row->id }} @disabled(false)>{{ $row->name }}
                                        </option>
                                    @else
                                        <option value={{ $row->id }} @disabled(true)>{{ $row->name }}
                                        </option>
                                    @endif
                                @endforeach
                            @endif
                        </select>
                    </div>

                    <div class="form-group">
                        <label class="label-text" required for="tblindustry_id">Industry</label>
                        <br>
                        <select name="tblindustry_id" id="tblindustry_id" required>
                            <option value="Select" disabled selected> Please select</option>
                            @if ($industry_data != null)
                                @foreach ($industry_data as $row)
                                    @if ($row->status == 'Active')
                                        <option value={{ $row->id }} @disabled(false)>{{ $row->name }}
                                        </option>
                                    @else
                                        <option value={{ $row->id }} @disabled(true)>{{ $row->name }}
                                        </option>
                                    @endif
                                @endforeach
                            @endif
                        </select>
                    </div>

                    <div class="form-group">
                        <label class="label-text" required for="email">Email</label>
                        <input type="email" class="form-control input-form" name="email" id="email"
                            placeholder="Enter email" maxlength="45" required>
                    </div>

                    <div class="form-group">
                        <label class="label-text" required for="website">Website</label>
                        <input type="text" class="form-control input-form" name="website" id="website"
                            placeholder="Enter website" maxlength="45" required>
                    </div>

                    <div class="form-group">
                        <label class="label-text" required for="address">Address</label>
                        <textarea cols="30" rows="5" class="form-control input-form" name="address" id="address"
                            placeholder="Enter address" required></textarea>
                    </div>

                    <div class="button-group">
                        <button type="submit" class="button-s4" style="width: 80px" id="btn-save">Save</button>
                        <button class="button-s5" style="width: 80px" type="button"
                            onclick="location.href='{{ route('company') }}'">CLOSE</button>
                    </div>

                </form>

            @endif

        </div>

    </div>

    <script>
        document
            .addEventListener('DOMContentLoaded', function() {

                const form = document.querySelector('form');
                form.addEventListener('submit', function(event) {


                    if (document.getElementById('tblcompanytype_id').value == "Select") {
                        event.preventDefault();
                        alert('Please select an option of the company type.');
                        return;
                    }
                    if (document.getElementById('tblindustry_id').value == "Select") {
                        event.preventDefault();
                        alert('Please select an option of the industry type.');
                        return;
                    }
                });
            });
    </script>

@endsection
