@extends('main-page')
@section('content')
    <div class="height-100">

        <div id="data-form" class="container mt-5 my-form">

            {{-- To update data --}}
            @if ($btnStatus == 'update')
                <form action="{{ route('company-type-data-updation', [$currentRowData['com_type_id']]) }}" method="POST">
                    @csrf

                    <div class="form-group">
                        <label class="label-text" required for="com_type_name">Company type</label>
                        <input type="text" class="form-control" name="com_type_name" id="com_type_name"
                            placeholder="Enter company type" required value="{{ $currentRowData['com_type_name'] }}">
                    </div>

                    <div class="form-group">
                        <label class="label-text" required for="com_type_status">Status</label>
                        <br>
                        <select name="com_type_status" id="com_type_status" required>
                            <option value="Select" disabled>Please select</option>
                            <option value="Active">Active</option>
                            <option value="Inactive">Inactive</option>
                        </select>
                        <script>
                            document.getElementById("com_type_status").value = @json($currentRowData['com_type_status']);
                        </script>
                    </div>

                    <div class="button-group">
                        <button type="submit" class="button-s4" style="width: 80px" id="btn-save">Save</button>
                        <button class="button-s5" style="width: 80px" type="button"
                            onclick="location.href='{{ route('company-type') }}'">CLOSE</button>
                    </div>

                </form>
            @endif

            {{-- To add data --}}
            @if ($btnStatus == 'add')
                <form action="{{ route('company-type-data-insertion') }}" method="POST">
                    @csrf

                    <div class="form-group">
                        <label class="label-text" required for="com_type_name">Company type</label>
                        <input type="text" class="form-control input-form" name="com_type_name" id="com_type_name"
                            placeholder="Enter company type" required>
                    </div>

                    <div class="form-group">
                        <label class="label-text" required for="com_type_status">Status</label>
                        <br>
                        <select name="com_type_status" id="com_type_status" required>
                            <option value="Select" disabled>Please select</option>
                            <option value="Active" selected>Active</option>
                            <option value="Inactive">Inactive</option>
                        </select>
                    </div>

                    <div class="button-group">
                        <button type="submit" class="button-s4" style="width: 80px" id="btn-save">Save</button>
                        <button class="button-s5" style="width: 80px" type="button"
                            onclick="location.href='{{ route('company-type') }}'">CLOSE</button>
                    </div>

                </form>
            @endif

        </div>

    </div>
@endsection
