@extends('main-page')
@section('content')

    <div class="height-100">

        <div id="data-form" class="container mt-5 my-form">

            {{-- To update data --}}
            @if ($btnStatus == 'update')

                <form action="{{ route('contact-data-updation', [$currentRowData['contact_id']]) }}" method="POST">
                    @csrf

                    <input type="hidden" name="dataStore" id="dataStore" value="{{ $dataStore }}">

                    <div class="form-group">
                        <label class="label-text" required for="tblcompany_id">Company name</label>
                        <br>
                        <select name="tblcompany_id" id="tblcompany_id" required>
                            <option value="Select" disabled>Please select</option>
                            @if ($company_data != null)
                                @foreach ($company_data as $row)
                                    <option value={{ $row->id }}>
                                        {{ $row->name . ' { ' . $row->company_type . ', ' . $row->industry_name . ' }' }}
                                    </option>
                                @endforeach
                            @endif
                        </select>
                    </div>

                    <div class="form-group">
                        <label class="label-text" required for="contact_name">Name</label>
                        <input type="text" class="form-control input-form" name="contact_name" id="contact_name"
                            placeholder="Enter contact name" maxlength="45" required
                            value="{{ $currentRowData['contact_name'] }}">
                    </div>

                    <div class="form-group">
                        <label class="label-text" required for="conatct_surname">Surname</label>
                        <input type="text" class="form-control input-form" name="conatct_surname" id="conatct_surname"
                            placeholder="Enter surname" value="{{ $currentRowData['conatct_surname'] }}" maxlength="45"
                            required>
                    </div>
                    <div class="form-group">
                        <label class="label-text" required for="phone">Phone</label>
                        <input type="phone" class="form-control input-form" name="phone" id="phone"
                            placeholder="Enter phone" value="{{ $currentRowData['phone'] }}" maxlength="45" required>
                    </div>

                    <div class="form-group">
                        <label class="label-text" required for="email">Email</label>
                        <input type="email" class="form-control input-form" name="email" id="email"
                            placeholder="Enter email" value="{{ $currentRowData['email'] }}" maxlength="45" required>
                    </div>

                    <div class="form-group">
                        <label class="label-text" required for="contact_status">Status</label>
                        <br>
                        <select name="contact_status" id="contact_status" required>
                            <option value="Select" disabled>Please select</option>
                            <option value="Active">Active</option>
                            <option value="Inactive">Inactive</option>
                        </select>
                    </div>

                    <script>
                        document.getElementById("tblcompany_id").value = @json($currentRowData['tblcompany_id']);
                        document.getElementById("contact_status").value = @json($currentRowData['contact_status']);
                    </script>

                    <div class="button-group">
                        <button type="submit" class="button-s4" style="width: 80px" id="btn-save">Save</button>
                        <button class="button-s5" style="width: 80px" type="button"
                            onclick="location.href='{{ route('contact') }}'">CLOSE</button>
                    </div>

                </form>

            @endif

            {{-- To add data --}}
            @if ($btnStatus == 'add')

                <form action="{{ route('contact-data-insertion') }}" method="POST">
                    @csrf

                    <div class="form-group">
                        <label class="label-text" required for="tblcompany_id">Company name</label>
                        <br>
                        <select name="tblcompany_id" id="tblcompany_id" required>
                            <option value="Select" selected disabled>Please select</option>
                            @if ($company_data != null)
                                @foreach ($company_data as $row)
                                    <option value={{ $row->id }}>
                                        {{ $row->name . ' { ' . $row->company_type . ', ' . $row->industry_name . ' }' }}
                                    </option>
                                @endforeach
                            @endif
                        </select>
                    </div>

                    <div class="form-group">
                        <label class="label-text" required for="contact_name">Name</label>
                        <input type="text" class="form-control input-form" name="contact_name" id="contact_name"
                            placeholder="Enter contact name" maxlength="45" required>
                    </div>

                    <div class="form-group">
                        <label class="label-text" required for="conatct_surname">Surname</label>
                        <input type="text" class="form-control input-form" name="conatct_surname" id="conatct_surname"
                            placeholder="Enter surname" maxlength="45" required>
                    </div>
                    <div class="form-group">
                        <label class="label-text" required for="phone">Phone </label>
                        <input type="phone" class="form-control input-form" name="phone" id="phone"
                            placeholder="Enter phone" maxlength="45" required>
                    </div>

                    <div class="form-group">
                        <label class="label-text" required for="email">Email</label>
                        <input type="email" class="form-control input-form" name="email" id="email"
                            placeholder="Enter email" maxlength="45" required>
                    </div>

                    <div class="form-group">
                        <label class="label-text" required for="contact_status">Status</label>
                        <br>
                        <select name="contact_status" id="contact_status" required>
                            <option value="Select" disabled>Please select</option>
                            <option value="Active" selected>Active</option>
                            <option value="Inactive">Inactive</option>
                        </select>
                    </div>

                    <div class="button-group">
                        <button type="submit" class="button-s4" style="width: 80px" id="btn-save">Save</button>
                        <button class="button-s5" style="width: 80px" type="button"
                            onclick="location.href='{{ route('contact') }}'">CLOSE</button>
                    </div>

                </form>

            @endif

        </div>

    </div>

    <script>
        document
            .addEventListener('DOMContentLoaded', function() {
                const form = document.querySelector('form');
                form.addEventListener('submit', function(event) {


                    if (document.getElementById('tblcompany_id').value == "Select") {
                        event.preventDefault();
                        alert('Please select an option of the company name.');
                        return;
                    }
                    if (document.getElementById('contact_status').value == "Select") {
                        event.preventDefault();
                        alert('Please select an option of the status.');
                        return;
                    }
                });
            });
    </script>

@endsection
