@extends('main-page')
@section('content')

    <head>
        <title>Contact Data Management</title>
        {{-- Toastr --}}
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/toastr.min.css"
            integrity="sha512-vKMx8UnXk60zUwyUnUPM3HbQo8QfmNx7+ltw8Pm5zLusl1XIfwcxo8DbWCqMGKaWeNxWA8yrx5v3SaVpMvR3CA=="
            crossorigin="anonymous" />
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.min.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/toastr.min.js"
            integrity="sha512-VEd+nq25CkR676O+pLBnDW09R7VQX9Mdiij052gVCp5yVH3jGtH70Ho/UUv4mJDsEdTvqRCFZg0NKGiojGnUCw=="
            crossorigin="anonymous"></script>
    </head>

    <div class="height-100">

        <form action="{{ route('contact-edition', ['add']) }}" method="POST">
            @csrf

            <button class="button-s6" type="submit">Add</button>

        </form>

        <form action="{{ route('contact-edition', ['update']) }}" method="POST">
            @csrf

            <input type="hidden" name="currentRowData" id="currentRowData">

            <div id="data-table" class="container">
                <div class="row">
                    <table nane="contact_table" id="contact_table" class="table table-bordered table-striped"
                        style="width: 100%">
                        <thead>
                            <tr>
                                <th class="hidden-column"></th>
                                <th class="hidden-column"></th>
                                <th class="dt-head-center">Company Name</th>
                                <th scope="col" width="15%">Contact Name</th>
                                <th class="dt-head-center">Contact Surname</th>
                                <th class="dt-head-center">Phone</th>
                                <th class="dt-head-center">Email</th>
                                <th class="dt-head-center">Status</th>
                                <th class="dt-head-center">Action</th>
                            </tr>
                        </thead>

                        <tbody>

                            @if ($contact_data != null)
                                @foreach ($contact_data as $row)
                                    <tr>
                                        <th class="hidden-column">{{ $row->id }}</th>
                                        <th class="hidden-column">{{ $row->tblcompany_id }}</th>
                                        <td>{{ $row->company_name }}</td>
                                        <td>{{ $row->name }}</td>
                                        <td>{{ $row->surname }}</td>
                                        <td>{{ $row->phone }}</td>
                                        <td>{{ $row->email }} </td>
                                        <td class="dt-head-center">{{ $row->status }}</td>
                                        <td class="gap-3 action-button-center">

                                            <button name="btn{{ $row->id }}" id="{{ $row->id }}"
                                                class="button-s1" onclick="editContactData(this)"
                                                type="submit">Edit</button>

                                        </td>
                                    </tr>
                                @endforeach
                            @endif

                        </tbody>

                    </table>

                </div>


            </div>

        </form>

        @if (session('toastr'))
            <script>
                var toastrMessage = @json(session('toastr'));
                toast_action(toastrMessage);
            </script>
        @endif

    </div>

    <script src="https://cdn.datatables.net/1.12.1/js/jquery.dataTables.min.js"></script>
    <script>
        $(document).ready(function() {
            $('#contact_table').DataTable({
                dom: '<"top-wrapper"l>rfti<"bottom-wrapper"p>',
                order: [
                    [0, 'desc']
                ],
                lengthMenu: [
                    [10, 50, 100, "All"],
                    [10, 50, 100, "All"]
                ]
            });
        })
    </script>

@endsection
