@extends('main-page')
@section('content')

    <head>
        <title>Deal Activity Data Management</title>
        {{-- Toastr --}}
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/toastr.min.css"
            integrity="sha512-vKMx8UnXk60zUwyUnUPM3HbQo8QfmNx7+ltw8Pm5zLusl1XIfwcxo8DbWCqMGKaWeNxWA8yrx5v3SaVpMvR3CA=="
            crossorigin="anonymous" />
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.min.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/toastr.min.js"
            integrity="sha512-VEd+nq25CkR676O+pLBnDW09R7VQX9Mdiij052gVCp5yVH3jGtH70Ho/UUv4mJDsEdTvqRCFZg0NKGiojGnUCw=="
            crossorigin="anonymous"></script>
    </head>

    <div class="height-100">

        <form action="{{ route('deal-activity-edition', ['add']) }}" method="POST">
            @csrf

            <button class="button-s6" type="submit">Add</button>

        </form>

        <form action="{{ route('deal-activity-edition', ['update']) }}" method="POST">
            @csrf

            <input type="hidden" name="currentRowData" id="currentRowData">

            <div id="data-table" class="container">
                <table nane="deal_activity_table" id="deal_activity_table" class="table table-bordered table-striped">
                    <thead>
                        <tr>
                            <th class="hidden-column"></th>
                            <th class="dt-head-center">Deal Name</th>
                            <th class="dt-head-center">Activity Detail</th>
                            <th class="dt-head-center">Activity
                                Datetime</th>
                            <th class="dt-head-center">Status</th>
                            <th class="hidden-column">tbldeal_id</th>
                            <th class="dt-head-center">Action</th>
                        </tr>
                    </thead>
                    <tbody>

                        @if ($deal_activity_data != null)
                            @foreach ($deal_activity_data as $row)
                                <tr>
                                    <?php
                                    $newDate = date('d/m/Y H:i', strtotime($row->datetime));
                                    ?>
                                    <th class="hidden-column">{{ $row->id }}</th>
                                    <td class="hidden-column">{{ $row->tbldeal_id }}</td>
                                    <td>{{ $row->name }} </td>
                                    <td>{{ $row->detail }}</td>
                                    <td>{{ $newDate }}</td>
                                    <td class="dt-head-center">{{ $row->status }}</td>
                                    <td class="gap-3 action-button-center">

                                        <button name="btn{{ $row->id }}" id="{{ $row->id }}" class="button-s1"
                                            onclick="editDealActivityData(this)" type="submit">Edit</button>

                                    </td>
                                </tr>
                            @endforeach
                        @endif

                    </tbody>

                </table>

            </div>

        </form>

        @if (session('toastr'))
            <script>
                var toastrMessage = @json(session('toastr'));
                toast_action(toastrMessage);
            </script>
        @endif

    </div>

    <script src="https://cdn.datatables.net/1.12.1/js/jquery.dataTables.min.js"></script>
    <script>
        $(document).ready(function() {
            $('#deal_activity_table').DataTable();
        })
    </script>

@endsection
