@extends('main-page')
@section('content')

    <head>
        <title>Deal Data Management</title>
        {{-- Toastr --}}
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/toastr.min.css"
            integrity="sha512-vKMx8UnXk60zUwyUnUPM3HbQo8QfmNx7+ltw8Pm5zLusl1XIfwcxo8DbWCqMGKaWeNxWA8yrx5v3SaVpMvR3CA=="
            crossorigin="anonymous" />
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.min.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/toastr.min.js"
            integrity="sha512-VEd+nq25CkR676O+pLBnDW09R7VQX9Mdiij052gVCp5yVH3jGtH70Ho/UUv4mJDsEdTvqRCFZg0NKGiojGnUCw=="
            crossorigin="anonymous"></script>
    </head>

    <div class="height-100">

        <form action="{{ route('deal-edition', ['add']) }}" method="POST">
            @csrf

            <button class="button-s6" type="submit">Add</button>

        </form>

        <form action="{{ route('deal-edition', ['update']) }}" method="POST">
            @csrf

            <input type="hidden" name="currentRowData" id="currentRowData">

            <div id="data-table" class="container">
                <div class="row">

                    <table nane="deal_table" id="deal_table" class="table table-bordered table-striped" style="width: 100%">
                        <thead>
                            <tr>
                                <th class="hidden-column">#</th>
                                <th class="dt-head-center">Deal Name</th>
                                <th class="dt-head-center">Deal Status</th>
                                <th class="dt-head-center">Deal Value</th>
                                <th class="hidden-column">tblcompany_id</th>
                                <th class="dt-head-center">Company Name</th>
                                <th class="hidden-column">tblcontact_id</th>
                                <th class="dt-head-center">Contact Fullname</th>
                                <th class="dt-head-center">Status</th>
                                <th class="hidden-column">tbldealtype_id</th>
                                <th class="dt-head-center">Deal Type</th>
                                <th class="hidden-column">tblsource_id</th>
                                <th class="dt-head-center">Source</th>
                                <th class="dt-head-center">Detail</th>
                                <th class="hidden-column">tbluser_id</th>
                                <th class="dt-head-center">Deal owner</th>
                                <th class="dt-head-center">Action</th>

                            </tr>
                        </thead>
                        <tbody>

                            @if ($deal_data != null)
                                @foreach ($deal_data as $row)
                                    @php
                                        $formattedNum = number_format($row->dealval);
                                    @endphp

                                    <tr>
                                        <th class="hidden-column">{{ $row->deal_id }}</th>
                                        <td>{{ $row->deal_name }}</td>
                                        <td class="dt-head-center">{{ $row->dealstatus }}</td>
                                        <td>{{ $formattedNum }}</td>
                                        <td class="hidden-column">{{ $row->tblcompany_id }}</td>
                                        <td>{{ $row->company_name }} </td>
                                        <td class="hidden-column">{{ $row->tblcontact_id }}</td>
                                        <td>{{ $row->contact_fullname }}</td>
                                        <td class="dt-head-center">{{ $row->deal_status }}</td>
                                        <td class="hidden-column">{{ $row->tbldealtype_id }}</td>
                                        <td>{{ $row->dealtype_name }}</td>
                                        <td class="hidden-column">{{ $row->tblsource_id }}</td>
                                        <td>{{ $row->source_name }}</td>
                                        <td>{{ $row->detail }}</td>
                                        <td class="hidden-column">{{ $row->tbluser_id }}</td>
                                        <td>{{ $row->user_fullname }}</td>
                                        <td class="gap-3 action-button-center">

                                            <button name="btn1{{ $row->deal_id }}" id="{{ $row->deal_id }}"
                                                class="button-s1" onclick="editDealData(this)" type="submit">Edit</button>

                                        </td>
                                    </tr>
                                @endforeach
                            @endif

                        </tbody>

                    </table>
                </div>


            </div>

        </form>

        @if (session('toastr'))
            <script>
                var toastrMessage = @json(session('toastr'));
                toast_action(toastrMessage);
            </script>
        @endif

    </div>

    <script src="https://cdn.datatables.net/1.12.1/js/jquery.dataTables.min.js"></script>
    <script>
        $(document).ready(function() {
            $('#deal_table').DataTable({
                dom: '<"top-wrapper"l>rfti<"bottom-wrapper"p>',
                order: [
                    [0, 'desc']
                ],
                lengthMenu: [
                    [10, 50, 100, "All"],
                    [10, 50, 100, "All"]
                ]
            });
        })
    </script>

@endsection
