@extends('main-page')
@section('content')
    <div class="height-100">

        <div id="data-form" class="container mt-5 my-form">

            {{-- To update data --}}
            @if ($btnStatus == 'update')
                <form action="{{ route('industry-data-updation', [$currentRowData['industry_id']]) }}" method="POST">
                    @csrf

                    <div class="form-group">
                        <label class="label-text" required for="industry_name">Industry name</label>
                        <input type="text" class="form-control" name="industry_name" id="industry_name"
                            placeholder="Enter industry name" required value="{{ $currentRowData['industry_name'] }}">
                    </div>

                    <div class="form-group">
                        <label class="label-text" required for="industry_status">Status</label>
                        <br>
                        <select name="industry_status" id="industry_status" required>
                            <option value="Select" disabled>Please select</option>
                            <option value="Active">Active</option>
                            <option value="Inactive">Inactive</option>
                        </select>
                        <script>
                            document.getElementById("industry_status").value = @json($currentRowData['industry_status']);
                        </script>
                    </div>

                    <div class="button-group">
                        <button type="submit" class="button-s4" style="width: 80px" id="btn-save">Save</button>
                        <button class="button-s5" style="width: 80px" type="button"
                            onclick="location.href='{{ route('industry') }}'">CLOSE</button>
                    </div>

                </form>
            @endif

            {{-- To add data --}}
            @if ($btnStatus == 'add')
                <form action="{{ route('industry-data-insertion') }}" method="POST">
                    @csrf

                    <div class="form-group">
                        <label class="label-text" required for="industry_name">Industry name</label>
                        <input type="text" class="form-control input-form" name="industry_name" id="industry_name"
                            placeholder="Enter industry name" required>
                    </div>

                    <div class="form-group">
                        <label class="label-text" required for="industry_status">Status</label>
                        <br>
                        <select name="industry_status" id="industry_status" required>
                            <option value="Select" disabled>Please select</option>
                            <option value="Active" selected>Active</option>
                            <option value="Inactive">Inactive</option>
                        </select>
                    </div>

                    <div class="button-group">
                        <button type="submit" class="button-s4" style="width: 80px" id="btn-save">Save</button>
                        <button class="button-s5" style="width: 80px" type="button"
                            onclick="location.href='{{ route('industry') }}'">CLOSE</button>
                    </div>

                </form>
            @endif

        </div>

    </div>
@endsection
