@extends('main-page')
@section('content')

    <head>
        <title>Profile Data Updation</title>
        <link rel="icon" href="{{ asset('images/SINO_Logo.png') }}">
        {{-- Toast --}}
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
        <link rel="stylesheet" type="text/css" href="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/toastr.min.css">
        <script src="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/js/toastr.min.js"></script>

        <script src="{{ asset('js/all_actions.js') }}"></script>
    </head>

    <div class="height-100">

        <div id="data-form" class="container mt-5 my-form">

            {{-- To update data --}}

            <form action="{{ route('profile-data-updation') }}" method="POST">
                @csrf

                <div class="form-group">
                    <label class="label-text" required for="profile_name">Name</label>
                    <input type="text" class="form-control input-form" name="profile_name" id="profile_name"
                        placeholder="Enter contact name" maxlength="45" required>
                </div>

                <div class="form-group">
                    <label class="label-text" required for="profile_surname">Surname</label>
                    <input type="text" class="form-control input-form" name="profile_surname" id="profile_surname"
                        placeholder="Enter surname" maxlength="45" required>
                </div>

                <div class="form-group">
                    <label required class="label-text" for="username">Username</label>
                    <input type="text" class="form-control input-form" name="username" id="username" readonly>
                </div>

                <div class="form-group password-change" style="margin: 20px 0px 10px 0px">
                    <label class="password-change" for="passwordChange">
                        <input class="password-change" type="checkbox" id="passwordChange" name="passwordChange"
                            value="no" onclick="showAndHidePasswordChangeGroup();"> I need to change the password.
                    </label>
                </div>

                <div id="password_change_group" class="mb-2">

                    <div class="form-group">
                        <label required id="old_passowrd_label" class="label-text" for="old_passowrd">Old password</label>
                        <input type="password" class="form-control input-form" name="old_passowrd" id="old_passowrd"
                            minlength="8" onfocus="focusPassword1();" autocomplete="off">
                        <span id='password_message' style="color: red"></span>
                    </div>

                    <div class="form-group">
                        <label required id="new_password_label" class="label-text" for="new_password">New password</label>
                        <input type="password" class="form-control input-form" name="new_password" id="new_password"
                            minlength="8" onkeyup="checkConfirmingPassword();" onfocus="focusPassword2();">

                    </div>

                    <div class="form-group">
                        <label required id="password_confirmation_label" class="label-text"
                            for="password_confirmation">Comfirm
                            password</label>
                        <input type="password" class="form-control input-form" name="password_confirmation"
                            id="password_confirmation" minlength="8" onkeyup="checkConfirmingPassword();"
                            onfocus="focusPassword2();">
                        <span id='password_confirmation_message'></span>
                    </div>

                </div>

                <div class="button-group mt-2">
                    <button type="submit" class="button-s4" style="width: 80px" id="btn-save">Save</button>
                    <button class="button-s5" style="width: 80px" type="button"
                        onclick="location.href='{{ route('company') }}'">CLOSE</button>
                </div>

            </form>

        </div>

        @if (session('employeeName') && session('employeeSurname'))
            <script>
                document.getElementById("profile_name").value = @json(session('employeeName'));
                document.getElementById("profile_surname").value = @json(session('employeeSurname'));
                document.getElementById("username").value = @json(session('username'));
            </script>
        @endif

        @if (session('toastr'))
            <script>
                var toastrMessage = @json(session('toastr'));
                toast_action(toastrMessage);
            </script>
        @endif
    </div>

    <script>
        document
            .addEventListener('DOMContentLoaded', function() {
                document.getElementById("old_passowrd").value = '';
                document.getElementById("passwordChange").checked = @json($passwordChange) != 'false';
                showAndHidePasswordChangeGroup();
                incorrectPassword();
                const form = document.querySelector('form');
                form.addEventListener('submit', function(event) {
                    if (document.getElementById("passwordChange").checked) {
                        if (document.getElementById('new_password').value !=
                            document.getElementById('password_confirmation').value) {
                            event.preventDefault();
                            document.getElementById('password_confirmation').value = "";
                            document.getElementById('password_confirmation').classList.add("is-invalid");
                            document.getElementById("password_confirmation_message").style.color = "red";
                            document.getElementById("password_confirmation_message").innerHTML =
                                "Password confirmation dost not match!";
                            return;
                        }
                    }
                });
            });

        function incorrectPassword() {
            if (@json($passwordChange) != 'false') {
                incorrectActivePassword();
            }
        }
    </script>
@endsection
