@extends('main-page')
@section('content')
    <div class="height-100">

        <div id="data-form" class="container mt-5 my-form">

            {{-- To update data --}}
            @if ($btnStatus == 'update')
                <form action="{{ route('source-data-updation', [$currentRowData['source_id']]) }}" method="POST">
                    @csrf

                    <div class="form-group">
                        <label class="label-text" required for="source_name">Source</label>
                        <input type="text" class="form-control input-form" name="source_name" id="source_name"
                            placeholder="Enter source" required value="{{ $currentRowData['source_name'] }}">
                    </div>

                    <div class="form-group">
                        <label class="label-text" required for="source_status">Status</label>
                        <br>
                        <select name="source_status" id="source_status" required>
                            <option value="Select" disabled>Please select</option>
                            <option value="Active">Active</option>
                            <option value="Inactive">Inactive</option>
                        </select>
                    </div>

                    <script>
                        document.getElementById("source_status").value = @json($currentRowData['source_status']);
                    </script>

                    <div class="button-group">
                        <button type="submit" class="button-s4" style="width: 80px" id="btn-save">Save</button>
                        <button class="button-s5" style="width: 80px" type="button"
                            onclick="location.href='{{ route('source') }}'">CLOSE</button>
                    </div>

                </form>
            @endif

            {{-- To add data --}}
            @if ($btnStatus == 'add')
                <form action="{{ route('source-data-insertion') }}" method="POST">
                    @csrf

                    <div class="form-group">
                        <label class="label-text" required for="source_name">Source</label>
                        <input type="text" class="form-control input-form" name="source_name" id="source_name"
                            placeholder="Enter source type" required>
                    </div>

                    <div class="form-group">
                        <label class="label-text" required for="source_status">Status</label>
                        <br>
                        <select name="source_status" id="source_status" required>
                            <option value="Select" disabled>Please select</option>
                            <option value="Active" selected>Active</option>
                            <option value="Inactive">Inactive</option>
                        </select>
                    </div>

                    <div class="button-group">
                        <button type="submit" class="button-s4" style="width: 80px" id="btn-save">Save</button>
                        <button class="button-s5" style="width: 80px" type="button"
                            onclick="location.href='{{ route('source') }}'">CLOSE</button>
                    </div>

                </form>
            @endif

        </div>

    </div>
@endsection
