<?php

use App\Http\Controllers\CompanyController;
use App\Http\Controllers\CompanyTypeController;
use App\Http\Controllers\ContactController;
use App\Http\Controllers\DealActivityController;
use App\Http\Controllers\DealController;
use App\Http\Controllers\DealTypeController;
use App\Http\Controllers\EncryptionAndDecryptionController;
use App\Http\Controllers\IndustryController;
use App\Http\Controllers\LoginController;
use App\Http\Controllers\LogoutController;
use App\Http\Controllers\RegistrationController;
use App\Http\Controllers\SourceController;
use App\Http\Controllers\TestSendMail;
use App\Http\Controllers\UserController;
use Illuminate\Support\Facades\Route;

Route::get('/encryp', [EncryptionAndDecryptionController::class, 'forceEncryption']);
Route::get('/decryp', [EncryptionAndDecryptionController::class, 'forceDecryption']);

Route::group(['middleware' => 'prevent-back-history'], function () {

    Route::get('/register', [RegistrationController::class, 'index'])->name('register');
    Route::post('/register/submit', [RegistrationController::class, 'submitRegistrationData'])->name('register-submit');

    Route::get('/', [LoginController::class, 'index'])->name('home');
    Route::get('/login', [LoginController::class, 'index'])->name('login');
    Route::post('/submit-login', [LoginController::class, 'submit'])->name('submit-login');

    Route::get('/forgot-password', [UserController::class, 'forgotPassword'])->name('forgot-password');
    Route::post('/reset-password', [UserController::class, 'resetPassword'])->name('reset-password');
    Route::get('/successful-result/{type}', [UserController::class, 'successfulResult'])->name('successful-result');

    Route::get('/profile/{passwordChange}', [UserController::class, 'index'])->name('profile');
    Route::post('/profile/updation', [UserController::class, 'updateProfile'])->name('profile-data-updation');

    Route::get('/logout', [LogoutController::class, 'index'])->name('logout');

    Route::get('/main-page', function () {return view('main-page');})->name('main-page');

    Route::get('/company', [CompanyController::class, 'index'])->name('company');
    Route::post('/company/edtion/{btnStatus}', [CompanyController::class, 'prepareData'])->name('company-edition');
    Route::post('/company/data-insertion', [CompanyController::class, 'insertData'])->name('company-data-insertion');
    Route::post('/company/data-updation/{currentID}', [CompanyController::class, 'updateData'])->name('company-data-updation');

    Route::get('/contact', [ContactController::class, 'index'])->name('contact');
    Route::post('/contact/edtion/{btnStatus}', [ContactController::class, 'prepareData'])->name('contact-edition');
    Route::post('/contact/data-insertion', [ContactController::class, 'insertData'])->name('contact-data-insertion');
    Route::post('/contact/data-updation/{currentID}', [ContactController::class, 'updateData'])->name('contact-data-updation');

    Route::get('/deal', [DealController::class, 'index'])->name('deal');
    Route::post('/deal/edtion/{btnStatus}', [DealController::class, 'prepareData'])->name('deal-edition');
    Route::post('/deal/data-insertion', [DealController::class, 'insertData'])->name('deal-data-insertion');
    Route::post('/deal/data-updation/{currentID}', [DealController::class, 'updateData'])->name('deal-data-updation');

    Route::get('/setting/company-type', [CompanyTypeController::class, 'index'])->name('company-type');
    Route::post('/setting/company-type/edtion/{btnStatus}', [CompanyTypeController::class, 'prepareData'])->name('company-type-edition');
    Route::post('/setting/company-type/data-insertion', [CompanyTypeController::class, 'insertData'])->name('company-type-data-insertion');
    Route::post('/setting/company-type/data-updation/{currentID}', [CompanyTypeController::class, 'updateData'])->name('company-type-data-updation');

    Route::get('/setting/industry', [IndustryController::class, 'index'])->name('industry');
    Route::post('/setting/industry/edtion/{btnStatus}', [IndustryController::class, 'prepareData'])->name('industry-edition');
    Route::post('/setting/industry/data-insertion', [IndustryController::class, 'insertData'])->name('industry-data-insertion');
    Route::post('/setting/industry/data-updation/{currentID}', [IndustryController::class, 'updateData'])->name('industry-data-updation');

    Route::get('/setting/deal-type', [DealTypeController::class, 'index'])->name('deal-type');
    Route::post('/setting/deal-type/edtion/{btnStatus}', [DealTypeController::class, 'prepareData'])->name('deal-type-edition');
    Route::post('/setting/deal-type/data-insertion', [DealTypeController::class, 'insertData'])->name('deal-type-data-insertion');
    Route::post('/setting/deal-type/data-updation/{currentID}', [DealTypeController::class, 'updateData'])->name('deal-type-data-updation');

    Route::get('/setting/source', [SourceController::class, 'index'])->name('source');
    Route::post('/setting/source/edtion/{btnStatus}', [SourceController::class, 'prepareData'])->name('source-edition');
    Route::post('/setting/source/data-insertion', [SourceController::class, 'insertData'])->name('source-data-insertion');
    Route::post('/setting/source/data-updation/{currentID}', [SourceController::class, 'updateData'])->name('source-data-updation');

    Route::get('/deal-activity', [DealActivityController::class, 'index'])->name('deal-activity');
    Route::get('/deal-activity/edtion/{btnStatus}/{d_ac_id}', [DealActivityController::class, 'prepareData'])->name('deal-activity-edition');
    Route::post('/deal-activity/data-insertion', [DealActivityController::class, 'insertData'])->name('deal-activity-data-insertion');
    Route::post('/deal-activity/data-updation/{currentID}', [DealActivityController::class, 'updateData'])->name('deal-activity-data-updation');
    Route::get('/deal/edtion/update', [DealActivityController::class, 'closePage'])->name('close-in-deal-activity');

    Route::get('/sendMail', [TestSendMail::class, 'sendMail']);
    Route::get('/viewMail', [TestSendMail::class, 'viewMail']);
    Route::get('/phpMailer', [TestSendMail::class, 'phpMailer']);
    Route::post('/newMail', [TestSendMail::class, 'mail'])->name('newMail');

});
