
<?php $__env->startSection('content'); ?>

    <head>
        <title>Register to Sales Pipeline</title>
        <link rel="icon" href="<?php echo e(asset('images/SINO_Logo.png')); ?>">
        
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
        <link rel="stylesheet" type="text/css" href="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/toastr.min.css">
        <script src="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/js/toastr.min.js"></script>

        <script src="<?php echo e(asset('js/all_actions.js')); ?>"></script>

    </head>

    <body>
        <div class="login-box">

            <div id="data-form" class="container mt-2">

                <div class="text-center">
                    <img src="<?php echo e(URL('images/SINO_Logo_no_bg.png')); ?>" style="width: 185px;" alt="logo">
                    <h4 style="color: rgb(122, 101, 4); font-weight: bold" class="mt-1 mb-3 pb-1">Register to Sales Pipeline
                    </h4>
                </div>

                <?php if(session('toastr')): ?>
                    <script>
                        var toastrMessage = <?php echo json_encode(session('toastr'), 15, 512) ?>;
                        toast_action(toastrMessage);
                    </script>
                <?php endif; ?>

                <form id="registration" action="<?php echo e(route('register-submit')); ?>" method="POST">
                    <?php echo csrf_field(); ?>

                    <!-- Name input -->
                    <div class="form-group mb-3">
                        <label class="label-text" for="registerName" required>Name</label>
                        <input type="text" id="registerName" name="registerName" class="form-control" required
                            autocomplete="given-name" />
                    </div>

                    <!-- Surname input -->
                    <div class="form-group mb-3">
                        <label class="label-text" for="registerSurname" required>Surname</label>
                        <input type="text" id="registerSurname" name="registerSurname" class="form-control" required
                            autocomplete="family-name" />
                    </div>

                    <!-- Username input -->
                    <div class="form-group mb-4">
                        <label class="label-text" for="registerUsername" required>Username</label>
                        <input type="email" id="registerUsername" name="registerUsername" class="form-control" required
                            autocomplete="email" minlength="17" />
                        <span id="username_message" style="color: red"></span>
                    </div>

                    <!-- Submit button -->

                    <div class="form-group d-flex align-items-center justify-content-center pb-4">
                        <div class="col-xs-12 p-b-20">
                            <button type="submit" class="btn btn-primary btn-block">Register</button>
                        </div>
                    </div>
                </form>

            </div>
            <form action="<?php echo e(route('login')); ?>" method="GET">
                <?php echo csrf_field(); ?>
                <div class="d-flex align-items-center justify-content-center">
                    <p class="mb-0 me-2" style="font-weight: bold;color: rgb(117, 0, 0)">I need to <button type="submit"
                            class="btn btn-outline-danger">log
                            in</button></p>

                </div>
            </form>
        </div>

    </body>


    <script>
        document
            .addEventListener('DOMContentLoaded', function() {
                let user = document.getElementById("registerUsername");
                document.getElementById("username_message").innerHTML = '';
                user.classList.remove("is-invalid");
                const form = document.querySelector('form');
                form.addEventListener('submit', function(event) {


                    let lenthtOfUser = user.value.length;
                    let valueChecking = user.value.includes("@sinostech.co.th", lenthtOfUser - 16);
                    if (!(lenthtOfUser > 16 && valueChecking)) {
                        event.preventDefault();
                        document.getElementById("username_message").innerHTML =
                            'Please enter your bussiness email!';
                        user.classList.add("is-invalid");
                        return;
                    }
                });
            });
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('head-ref-src', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\sales-pipeline\resources\views/register.blade.php ENDPATH**/ ?>