
<?php $__env->startSection('content'); ?>

    <head>
        <title>Login to Sales Pipeline</title>
        
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
        <link rel="stylesheet" type="text/css" href="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/toastr.min.css">
        <script src="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/js/toastr.min.js"></script>

        <script src="<?php echo e(asset('js/all_actions.js')); ?>"></script>
        
        <link rel="stylesheet" href="<?php echo e(asset('css/login_page.css')); ?>">
    </head>

    <body>

        <?php if(session('toastr')): ?>
            <script>
                var toastrMessage = <?php echo json_encode(session('toastr'), 15, 512) ?>;
                toast_action(toastrMessage);
            </script>
        <?php endif; ?>

        <div class="login-box">

            <form id="login" action="<?php echo e(route('submit-login')); ?>" method="POST">
                <?php echo csrf_field(); ?>

                <div class="text-center">
                    <img src="<?php echo e(URL('images/SINO_Logo_no_bg.png')); ?>" style="width: 185px;" alt="logo">
                    <h4 style="color: rgb(122, 101, 4); font-weight: bold" class="mt-1 mb-5 pb-1">Log into Sales Pipeline
                    </h4>
                </div>

                <div class="input-group">
                    <span class="input-group-text" id="basic-Username">
                        <iconify-icon icon="bxs:user"></iconify-icon>
                    </span>

                    <input id="Username" type="email" autocomplete="on" class="form-control" name="Username"
                        placeholder="Username" required onfocus="focusUsername();">
                </div>
                <span id="username_message" style="color: red"></span>

                <div class="input-group mb-3 mt-3">
                    <span class="input-group-text" id="basic-Password">
                        <iconify-icon icon="ic:baseline-password"></iconify-icon>
                    </span>
                    <input id="Password" type="password" autocomplete="on" class="form-control" name="Password"
                        placeholder="Password" minlength="8" required>
                </div>

                <div class="form-group d-flex align-items-center justify-content-center pb-4">
                    <div class="col-xs-12 p-b-18">
                        <a id="forgot_password" class="reset-password" href="<?php echo e(route('forgot-password')); ?>">
                            Forgot password </a>
                    </div>
                </div>
                <div class="form-group d-flex align-items-center justify-content-center pb-4">
                    <div class="col-xs-12 p-b-20">
                        <button type="submit" class="button-s7">Log in</button>
                    </div>
                </div>

            </form>

            <form action="<?php echo e(route('register')); ?>" method="GET">
                <?php echo csrf_field(); ?>
                <div class="d-flex align-items-center justify-content-center pb-4">
                    <p class="mb-0 me-2">Do you need to <button type="submit" class="btn btn-outline-danger">create a
                            new</button> account?</p>

                </div>
            </form>

        </div>
    </body>

    <script>
        function focusUsername() {
            document.getElementById("username_message").innerHTML = '';
            document.getElementById('Username').classList.remove("is-invalid");

        }
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('head-ref-src', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\sales-pipeline\resources\views/login.blade.php ENDPATH**/ ?>